## d-spy 1.6.0

=== debian/changelog ===
d-spy (1.6.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 May 2023 13:09:20 -0400

d-spy (1.6.0-1) experimental; urgency=medium

  * Initial release (Closes: #1036767)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 May 2023 09:37:15 -0400

## d-spy 49.2

=== meson_options.txt ===
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('builder', type: 'boolean', value: false, description: 'If this is bundled with GNOME Builder')

## d-spy 1.8.0

=== debian/changelog ===
d-spy (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/dspy-common.install: Install translations

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:43:04 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: d-spy
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,,
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               itstool,
               libadwaita-1-dev (>= 1.0),
               libglib2.0-dev (>= 2.68),
               libgtk-4-dev (>= 4.6),
               meson (>= 0.59.0),
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git
Homepage: https://gitlab.gnome.org/GNOME/d-spy

Package: d-spy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdspy-1-1 (= ${binary:Version}),
Description: D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.

Package: dspy-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: common files for D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.
 .
 This package contains common data files and translations.

Package: libdspy-1-1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dspy-common (>= ${source:Version})
Description: library for D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.
 .
 This package provides the shared library.

Package: libdspy-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libdspy-1-1 (= ${binary:Version}),
         libadwaita-1-dev (>= 1.0),
         libglib2.0-dev (>= 2.68),
         libgtk-4-dev (>= 4.6)
Description: development files for D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.
 .
 This package provides the development files for the shared libraries.

## d-spy 1.9.0

=== debian/changelog ===
d-spy (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump minimum glib, gtk4, and libadwaita
  * Stop using debian/control.in and dh-sequence-gnome
  * Drop invalid nocheck annotation for desktop-file-utils (Closes: #1063525)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 08:54:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,18 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: d-spy
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,,
-               desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
+               desktop-file-utils,
                itstool,
-               libadwaita-1-dev (>= 1.0),
-               libglib2.0-dev (>= 2.68),
-               libgtk-4-dev (>= 4.6),
+               libadwaita-1-dev (>= 1.4),
+               libglib2.0-dev (>= 2.76),
+               libgtk-4-dev (>= 4.12),
                meson (>= 0.59.0),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
 Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git
 Homepage: https://gitlab.gnome.org/GNOME/d-spy

## d-spy 1.10.0

=== debian/changelog ===
d-spy (1.10.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:04:52 +0000

d-spy (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:45:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-spy
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,,
@@ -15,7 +16,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
 Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git
-Homepage: https://gitlab.gnome.org/GNOME/d-spy
+Homepage: https://apps.gnome.org/Dspy/
 
 Package: d-spy
 Architecture: any

## d-spy 47~alpha

=== debian/changelog ===
d-spy (47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:19:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: d-spy
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,,
@@ -12,7 +11,7 @@
                libglib2.0-dev (>= 2.76),
                libgtk-4-dev (>= 4.12),
                meson (>= 0.59.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
 Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git

## d-spy 47.0

=== debian/changelog ===
d-spy (47.0-2) unstable; urgency=medium

  * Opt into Salsa CI
  * Add Provides: dspy
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 10:15:31 -0500

d-spy (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 14:55:11 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,,
+               appstream-util <!nocheck>,
                desktop-file-utils,
                itstool,
                libadwaita-1-dev (>= 1.4),
                libglib2.0-dev (>= 2.76),
                libgtk-4-dev (>= 4.12),
-               meson (>= 0.59.0),
+               meson (>= 0.59.0)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
@@ -19,9 +19,8 @@
 
 Package: d-spy
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libdspy-1-1 (= ${binary:Version}),
+Depends: libdspy-1-1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Provides: dspy
 Description: D-Bus explorer and test app for GNOME
  D-Spy is a tool to explore and test end-points and interfaces on the
  System or Session D-Bus. You can also connect to D-Bus peers by address.
@@ -31,7 +30,7 @@
 Package: dspy-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: common files for D-Bus explorer and test app for GNOME
  D-Spy is a tool to explore and test end-points and interfaces on the
  System or Session D-Bus. You can also connect to D-Bus peers by address.
@@ -44,9 +43,7 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         dspy-common (>= ${source:Version})
+Depends: dspy-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: library for D-Bus explorer and test app for GNOME
  D-Spy is a tool to explore and test end-points and interfaces on the
  System or Session D-Bus. You can also connect to D-Bus peers by address.
@@ -59,11 +56,11 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libadwaita-1-dev (>= 1.0),
          libdspy-1-1 (= ${binary:Version}),
-         libadwaita-1-dev (>= 1.0),
          libglib2.0-dev (>= 2.68),
-         libgtk-4-dev (>= 4.6)
+         libgtk-4-dev (>= 4.6),
+         ${misc:Depends}
 Description: development files for D-Bus explorer and test app for GNOME
  D-Spy is a tool to explore and test end-points and interfaces on the
  System or Session D-Bus. You can also connect to D-Bus peers by address.

## d-spy 48~beta

=== debian/changelog ===
d-spy (48~beta-1) unstable; urgency=medium

  * New upstream release
  * library and development headers are no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 15:01:31 -0500

=== debian/control ===
Source: d-spy
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils,
               itstool,
               libadwaita-1-dev (>= 1.4),
               libglib2.0-dev (>= 2.76),
               libgtk-4-dev (>= 4.12),
               meson (>= 0.59.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git
Homepage: https://apps.gnome.org/Dspy/

Package: d-spy
Architecture: any
Depends: dspy-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: dspy
Description: D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.

Package: dspy-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for D-Bus explorer and test app for GNOME
 D-Spy is a tool to explore and test end-points and interfaces on the
 System or Session D-Bus. You can also connect to D-Bus peers by address.
 .
 D-Spy was originally part of the GNOME Builder app.
 .
 This package contains common data files and translations.

## d-spy 48~rc

=== debian/changelog ===
d-spy (48~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 14:47:53 -0500

## d-spy 48.0

=== debian/changelog ===
d-spy (48.0-3) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:01:28 +0200

d-spy (48.0-2) unstable; urgency=medium

  * Add Build-Depends: libxml2-utils for xmllint
  * Cherry-pick patch to allow window title to be translated

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 13:36:14 -0400

d-spy (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 08:57:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                desktop-file-utils,
                itstool,
-               libadwaita-1-dev (>= 1.4),
+               libadwaita-1-dev (>= 1.5),
                libglib2.0-dev (>= 2.76),
                libgtk-4-dev (>= 4.12),
+               libxml2-utils,
                meson (>= 0.59.0)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## d-spy 49.1

=== debian/changelog ===
d-spy (49.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libdex-dev
  * Bump minimum libadwaita, glib2.0, and gtk4.
  * debian/d-spy.install: Install new D-Bus service
  * Remove obsolete Rules-Requires-Root: no field
  * Remove remaining patch: applied in new release
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 12:01:07 -0400

## d-spy 49.2

=== debian/changelog ===
d-spy (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 10:01:35 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                appstream <!nocheck>,
                desktop-file-utils,
                itstool,
-               libadwaita-1-dev (>= 1.5),
-               libglib2.0-dev (>= 2.76),
-               libgtk-4-dev (>= 4.12),
+               libadwaita-1-dev (>= 1.7),
+               libdex-dev (>= 0.110),
+               libglib2.0-dev (>= 2.82),
+               libgtk-4-dev (>= 4.16),
                libxml2-utils,
                meson (>= 0.59.0)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/d-spy
 Vcs-Git: https://salsa.debian.org/gnome-team/d-spy.git
 Homepage: https://apps.gnome.org/Dspy/
